Belune

Get All Deployments

GET
/api/deployments
AuthorizationBearer <token>

Personal access token whose scope satisfies read — read, deploy, or write all qualify.

In: header

Query Parameters

application_id?string
from?string
limit?string
offset?string
project_id?string
search?string
status?string
to?string

Response Body

application/json

application/json

curl -X GET "https://example.com/api/deployments"
[  {    "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c",    "application_name": "string",    "application_slug": "string",    "build_logs": "string",    "commit_author": "string",    "commit_message": "string",    "commit_sha": "string",    "error_message": "string",    "finished_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "image_tag": "string",    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "project_name": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "string",    "triggered_by": "string"  }]